PHPExcel_Reader_Excel5

This class uses http://sourceforge.net/projects/phpexcelreader/parseXL

category | PHPExcel
package | PHPExcel_Reader_Excel5
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Read 16-bit unsigned integer

    _GetInt2d(string $data, int $pos) : int

Static

### Parameters

#### $data

`string`

#### $pos

`int`

### Returns

`int`

## Read 32-bit signed integer

    _GetInt4d(string $data, int $pos) : int

Static

### Parameters

#### $data

`string`

#### $pos

`int`

### Returns

`int`

## Create a new PHPExcel_Reader_Excel5 instance

    __construct()

## Can the current PHPExcel_Reader_IReader read the file?

    canRead(string $pFilename) : boolean

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`boolean`

## Read charts in workbook? If this is true, then the Reader will include any charts that exist in the workbook.

    getIncludeCharts() : boolean

Inherited

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. If false (the default) it will ignore any charts defined in the workbook file.

inherited_from | \PHPExcel_Reader_Abstract::getIncludeCharts()

### Returns

`boolean`

## Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

    getLoadSheetsOnly() : mixed

Inherited

inherited_from | \PHPExcel_Reader_Abstract::getLoadSheetsOnly()

### Returns

`mixed`

## Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

    getReadDataOnly() : boolean

Inherited

If false (the default) it will read data and formatting.

inherited_from | \PHPExcel_Reader_Abstract::getReadDataOnly()

### Returns

`boolean`

## Read filter

    getReadFilter() : \PHPExcel_Reader_IReadFilter

Inherited

inherited_from | \PHPExcel_Reader_Abstract::getReadFilter()

### Returns

`\PHPExcel_Reader_IReadFilter`

## Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

    listWorksheetInfo(string $pFilename)

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

    listWorksheetNames(string $pFilename)

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Loads PHPExcel from file

    load(string $pFilename) : \PHPExcel

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel`

## Set read charts in workbook Set to true, to advise the Reader to include any charts that exist in the workbook.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Reader_IReader

Inherited

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. Set to false (the default) to discard charts.

inherited_from | \PHPExcel_Reader_Abstract::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set all sheets to load Tells the Reader to load all worksheets from the workbook.

    setLoadAllSheets() : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setLoadAllSheets()

### Returns

`\PHPExcel_Reader_IReader`

## Set which sheets to load

    setLoadSheetsOnly(mixed $value) : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setLoadSheetsOnly()

### Parameters

#### $value

`mixed`

This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

### Returns

`\PHPExcel_Reader_IReader`

## Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

    setReadDataOnly(boolean $pValue) : \PHPExcel_Reader_IReader

Inherited

Set to false (the default) to advise the Reader to read both data and formatting for cells.

inherited_from | \PHPExcel_Reader_Abstract::setReadDataOnly()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set read filter

    setReadFilter(\PHPExcel_Reader_IReadFilter $pValue) : \PHPExcel_Reader_IReader

Inherited

inherited_from | \PHPExcel_Reader_Abstract::setReadFilter()

### Parameters

#### $pValue

`\PHPExcel_Reader_IReadFilter`

### Returns

`\PHPExcel_Reader_IReader`

## Open file for reading

    _openFile(string $pFilename) : resource

Inherited

inherited_from | \PHPExcel_Reader_Abstract::_openFile()

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`resource`

## _GetIEEE754()

    _GetIEEE754($rknum)

Static

### Parameters

#### $rknum

## Convert UTF-8 string to string surounded by double quotes.

    _UTF8toExcelDoubleQuoted(string $value) : string

Static

Used for explicit string tokens in formulas. Example: hello"world --> "hello""world"

### Parameters

#### $value

`string`

UTF-8 encoded string

### Returns

`string`

## Take array of tokens together with additional data for formula and return human readable formula

    _createFormulaFromTokens(array $tokens, array $additionalData) : string

### Parameters

#### $tokens

`array`

#### $additionalData

`array`

Additional binary data going with the formula

### Returns

`string`Human readable formula

## Convert string to UTF-8.

    _decodeCodepage(string $string) : string

Only used for BIFF5.

### Parameters

#### $string

`string`

### Returns

`string`

## Get UTF-8 string from (compressed or uncompressed) UTF-16 string

    _encodeUTF16(string $string, bool $compressed) : string

Static

### Parameters

#### $string

`string`

#### $compressed

`bool`

### Returns

`string`

## Reads first 8 bytes of a string and return IEEE 754 float

    _extractNumber(string $data) : float

Static

### Parameters

#### $data

`string`

Binary string that is at least 8 bytes long

### Returns

`float`

## Take formula data and additional data for formula and return human readable formula

    _getFormulaFromData(string $formulaData, string $additionalData, string $baseCell) : string

### Parameters

#### $formulaData

`string`

The binary data for the formula itself

#### $additionalData

`string`

Additional binary data going with the formula

#### $baseCell

`string`

Base cell, only needed when formula contains tRefN tokens, e.g. with shared formulas

### Returns

`string`Human readable formula

## Convert formula structure into human readable Excel formula like 'A3+A5*5'

    _getFormulaFromStructure(string $formulaStructure, string $baseCell) : string

### Parameters

#### $formulaStructure

`string`

The complete binary data for the formula

#### $baseCell

`string`

Base cell, only needed when formula contains tRefN tokens, e.g. with shared formulas

### Returns

`string`Human readable formula

## Fetch next token from binary formula data

    _getNextToken(string $formulaData, string $baseCell) : array

### Parameters

#### $formulaData

`string`

Formula data

#### $baseCell

`string`

Base cell, only needed when formula contains tRefN tokens, e.g. with shared formulas

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`array`

## Reads a record from current position in data stream and continues reading data as long as CONTINUE records are found.

    _getSplicedRecordData() : array

Splices the record data pieces and returns the combined string as if record data is in one piece. Moves to next current position in data stream to start of next record different from a CONtINUE record

### Returns

`array`

## _includeCellRangeFiltered()

    _includeCellRangeFiltered($cellRangeAddress)

### Parameters

#### $cellRangeAddress

## Use OLE reader to extract the relevant data streams from the OLE file

    _loadOLE(string $pFilename)

### Parameters

#### $pFilename

`string`

## Make an RC4 decryptor for the given block

    _makeKey($block, $valContext) : \PHPExcel_Reader_Excel5_RC4

var | Block for which to create decrypto
var | MD5 context state

### Parameters

#### $block

#### $valContext

### Returns

`\PHPExcel_Reader_Excel5_RC4`

## Map border style OpenOffice documentation: 2.5.11

    _mapBorderStyle(int $index) : string

Static

### Parameters

#### $index

`int`

### Returns

`string`

## Map built-in color to RGB value

    _mapBuiltInColor(int $color) : array

Static

### Parameters

#### $color

`int`

Indexed color

### Returns

`array`

## Map color array from BIFF8 built-in color index

    _mapColor(int $subData) : array

Static

### Parameters

#### $subData

`int`

### Returns

`array`

## Map color array from BIFF5 built-in color index

    _mapColorBIFF5(int $subData) : array

Static

### Parameters

#### $subData

`int`

### Returns

`array`

## Map error code, e.g.

    _mapErrorCode(int $subData) : string

Static

'#N/A'

### Parameters

#### $subData

`int`

### Returns

`string`

## Get fill pattern from index OpenOffice documentation: 2.5.12

    _mapFillPattern(int $index) : string

Static

### Parameters

#### $index

`int`

### Returns

`string`

## _parseRichText()

    _parseRichText($is)

### Parameters

#### $is

## Reads a cell range address in BIFF5 e.g.

    _readBIFF5CellRangeAddressFixed(string $subData) : string

'A2:B6' or 'A1' always fixed range section 2.5.14

### Parameters

#### $subData

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`string`

## Read BIFF5 cell range address list section 2.5.15

    _readBIFF5CellRangeAddressList(string $subData) : array

### Parameters

#### $subData

`string`

### Returns

`array`

## Reads a cell address in BIFF8 e.g.

    _readBIFF8CellAddress(string $cellAddressStructure) : string

'A2' or '$A$2' section 3.3.4

### Parameters

#### $cellAddressStructure

`string`

### Returns

`string`

## Reads a cell address in BIFF8 for shared formulas.

    _readBIFF8CellAddressB(string $cellAddressStructure, string $baseCell) : string

Uses positive and negative values for row and column to indicate offsets from a base cell section 3.3.4

### Parameters

#### $cellAddressStructure

`string`

#### $baseCell

`string`

Base cell, only needed when formula contains tRefN tokens, e.g. with shared formulas

### Returns

`string`

## Reads a cell range address in BIFF8 e.g.

    _readBIFF8CellRangeAddress(string $subData) : string

'A2:B6' or '$A$2:$B$6' there are flags indicating whether column/row index is relative section 3.3.4

### Parameters

#### $subData

`string`

### Returns

`string`

## Reads a cell range address in BIFF8 for shared formulas.

    _readBIFF8CellRangeAddressB(string $subData, string $baseCell) : string

Uses positive and negative values for row and column to indicate offsets from a base cell section 3.3.4

### Parameters

#### $subData

`string`

#### $baseCell

`string`

Base cell

### Returns

`string`Cell range address

## Reads a cell range address in BIFF8 e.g.

    _readBIFF8CellRangeAddressFixed(string $subData) : string

'A2:B6' or 'A1' always fixed range section 2.5.14

### Parameters

#### $subData

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`string`

## Read BIFF8 cell range address list section 2.5.15

    _readBIFF8CellRangeAddressList(string $subData) : array

### Parameters

#### $subData

`string`

### Returns

`array`

## read BIFF8 constant value which may be 'Empty Value', 'Number', 'String Value', 'Boolean Value', 'Error Value' section 2.5.7 returns e.g.

    _readBIFF8Constant(string $valueData) : array

Static

array('value' => '5', 'size' => 9)

### Parameters

#### $valueData

`string`

### Returns

`array`

## read BIFF8 constant value array from array data returns e.g.

    _readBIFF8ConstantArray(string $arrayData) : array

Static

array('value' => '{1,2;3,4}', 'size' => 40} section 2.5.8

### Parameters

#### $arrayData

`string`

### Returns

`array`

## Read BLANK record

    _readBlank()

## Read BOF

    _readBof()

## Read BOOLERR record This record represents a Boolean value or error value cell.

    _readBoolErr()

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read BOTTOMMARGIN record

    _readBottomMargin()

## Read byte string (16-bit string length) OpenOffice documentation: 2.5.2

    _readByteStringLong(string $subData) : array

### Parameters

#### $subData

`string`

### Returns

`array`

## Read byte string (8-bit string length) OpenOffice documentation: 2.5.2

    _readByteStringShort(string $subData) : array

### Parameters

#### $subData

`string`

### Returns

`array`

## CODEPAGE

    _readCodepage()

This record stores the text encoding used to write byte strings, stored as MS Windows code page identifier.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read COLINFO record

    _readColInfo()

## Read color

    _readColor(int $color, array $palette, $version) : array

Static

### Parameters

#### $color

`int`

Indexed color

#### $palette

`array`

Color palette

#### $version

### Returns

`array`RGB color value, example: array('rgb' => 'FF0000')

## Read a free CONTINUE record.

    _readContinue()

Free CONTINUE record may be a camouflaged MSODRAWING record When MSODRAWING data on a sheet exceeds 8224 bytes, CONTINUE records are used instead. Undocumented. In this case, we must treat the CONTINUE record as a MSODRAWING record

## Read DATAVALIDATION record

    _readDataValidation()

## Read DATAVALIDATIONS record

    _readDataValidations()

## DATEMODE

    _readDateMode()

This record specifies the base date for displaying date values. All dates are stored as count of days past this base date. In BIFF2-BIFF4 this record is part of the Calculation Settings Block. In BIFF5-BIFF8 it is stored in the Workbook Globals Substream.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read DEFCOLWIDTH record

    _readDefColWidth()

## Reads a general type of BIFF record.

    _readDefault()

Does nothing except for moving stream pointer forward to next record.

## Read DEFAULTROWHEIGHT record

    _readDefaultRowHeight()

## DEFINEDNAME

    _readDefinedName()

This record is part of a Link Table. It contains the name and the token array of an internal defined name. Token arrays of defined names contain tokens with aberrant token classes.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read additional document summary information

    _readDocumentSummaryInformation()

## Read EXTERNNAME record.

    _readExternName()

## Read EXTERNSHEET record

    _readExternSheet()

## Read EXTERNALBOOK record

    _readExternalBook()

## FILEPASS

    _readFilepass()

This record is part of the File Protection Block. It contains information about the read/write password of the file. All record contents following this record will be encrypted.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

The decryption functions and objects used from here on in are based on the source of Spreadsheet-ParseExcel: http://search.cpan.org/~jmcnamara/Spreadsheet-ParseExcel/

## Read a FONT record

    _readFont()

## FORMAT

    _readFormat()

This record contains information about a number format. All FORMAT records occur together in a sequential list.

In BIFF2-BIFF4 other records referencing a FORMAT record contain a zero-based index into this list. From BIFF5 on the FORMAT record contains the index itself that will be used by other records.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read FORMULA record + perhaps a following STRING record if formula result is a string This record contains the token array and the result of a formula cell.

    _readFormula()

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read HCENTER record

    _readHcenter()

## Read HEADER record

    _readHeader()

## Read HORIZONTALPAGEBREAKS record

    _readHorizontalPageBreaks()

## Read HYPERLINK record

    _readHyperLink()

## Read IMDATA record

    _readImData()

## Read LABEL record This record represents a cell that contains a string.

    _readLabel()

In BIFF8 it is usually replaced by the LABELSST record. Excel still uses this record, if it copies unformatted text cells to the clipboard.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read LABELSST record This record represents a cell that contains a string.

    _readLabelSst()

It replaces the LABEL record and RSTRING record used in BIFF2-BIFF5.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read LEFTMARGIN record

    _readLeftMargin()

## MERGEDCELLS

    _readMergedCells()

This record contains the addresses of merged cell ranges in the current sheet.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read MSODRAWING record

    _readMsoDrawing()

## Read MSODRAWINGGROUP record

    _readMsoDrawingGroup()

## Read MULBLANK record This record represents a cell range of empty cells.

    _readMulBlank()

All cells are located in the same row

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read MULRK record This record represents a cell range containing RK value cells.

    _readMulRk()

All cells are located in the same row.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## The NOTE record specifies a comment associated with a particular cell.

    _readNote()

In Excel 95 (BIFF7) and earlier versions, this record stores a note (cell note). This feature was significantly enhanced in Excel 97.

## Read NUMBER record This record represents a cell that contains a floating-point value.

    _readNumber()

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read OBJ record

    _readObj()

## OBJECTPROTECT

    _readObjectProtect()

## Read PLV Record(Created by Excel2007 or upper)

    _readPageLayoutView()

## Read PAGESETUP record

    _readPageSetup()

## Read PALETTE record

    _readPalette()

## Read PANE record

    _readPane()

## PASSWORD - Sheet protection (hashed) password (BIFF2 through BIFF8)

    _readPassword()

## Read PRINTGRIDLINES record

    _readPrintGridlines()

## PROTECT - Sheet protection (BIFF2 through BIFF8) if this record is omitted, then it also means no sheet protection

    _readProtect()

## Extract RGB color OpenOffice.org's Documentation of the Microsoft Excel File Format, section 2.5.4

    _readRGB(string $rgb) : array

Static

### Parameters

#### $rgb

`string`

Encoded RGB value (4 bytes)

### Returns

`array`

## Read RANGEPROTECTION record Reading of this record is based on Microsoft Office Excel 97-2000 Binary File Format Specification, where it is referred to as FEAT record

    _readRangeProtection()

## Read record data from stream, decrypting as required

    _readRecordData(string $data, int $pos, $len) : string

### Parameters

#### $data

`string`

Data stream to read from

#### $pos

`int`

Position to start reading from

#### $len

### Returns

`string`Record data

## Read RIGHTMARGIN record

    _readRightMargin()

## Read RK record This record represents a cell that contains an RK value (encoded integer or floating-point value).

    _readRk()

If a floating-point value cannot be encoded to an RK value, a NUMBER record will be written. This record replaces the record INTEGER written in BIFF2.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## ROW

    _readRow()

This record contains the properties of a single row in a sheet. Rows and cells in a sheet are divided into blocks of 32 rows.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## SCENPROTECT

    _readScenProtect()

## Read SCL record

    _readScl()

## Read SELECTION record.

    _readSelection()

There is one such record for each pane in the sheet.

## Read a SHAREDFMLA record.

    _readSharedFmla()

This function just stores the binary shared formula in the reader, which usually contains relative references. These will be used to construct the formula in each shared formula part after the sheet is read.

## SHEET

    _readSheet()

This record is located in the Workbook Globals Substream and represents a sheet inside the workbook. One SHEET record is written for each sheet. It stores the sheet name and a stream offset to the BOF record of the respective Sheet Substream within the Workbook Stream.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read SHEETLAYOUT record.

    _readSheetLayout()

Stores sheet tab color information.

## Read SHEETPR record

    _readSheetPr()

## Read SHEETPROTECTION record (FEATHEADR)

    _readSheetProtection()

## Get a sheet range like Sheet1:Sheet3 from REF index Note: If there is only one sheet in the range, one gets e.g Sheet1 It can also happen that the REF structure uses the -1 (FFFF) code to indicate deleted sheets, in which case an PHPExcel_Reader_Exception is thrown

    _readSheetRangeByRefIndex(int $index) : string | false

### Parameters

#### $index

`int`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`string` `false`

## SST - Shared String Table

    _readSst()

This record contains a list of all strings used anywhere in the workbook. Each string occurs only once. The workbook uses indexes into the list to reference the strings.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## Read a STRING record from current stream position and advance the stream pointer to next record This record is used for storing result from FORMULA record when it is a string, and it occurs directly after the FORMULA record

    _readString() : string

### Returns

`string`The string contents as UTF-8

## Read STYLE record

    _readStyle()

## Read summary information

    _readSummaryInformation()

## The TEXT Object record contains the text associated with a cell annotation.

    _readTextObject()

## Read TOPMARGIN record

    _readTopMargin()

## Read Unicode string with no string length field, but with known character count this function is under construction, needs to support rich text, and Asian phonetic settings OpenOffice.org's Documentation of the Microsoft Excel File Format, section 2.5.3

    _readUnicodeString(string $subData, int $characterCount) : array

Static

### Parameters

#### $subData

`string`

#### $characterCount

`int`

### Returns

`array`

## Extracts an Excel Unicode long string (16-bit string length) OpenOffice documentation: 2.5.3 this function is under construction, needs to support rich text, and Asian phonetic settings

    _readUnicodeStringLong(string $subData) : array

Static

### Parameters

#### $subData

`string`

### Returns

`array`

## Extracts an Excel Unicode short string (8-bit string length) OpenOffice documentation: 2.5.3 function will automatically find out where the Unicode string ends.

    _readUnicodeStringShort(string $subData) : array

Static

### Parameters

#### $subData

`string`

### Returns

`array`

## Read VCENTER record

    _readVcenter()

## Read VERTICALPAGEBREAKS record

    _readVerticalPageBreaks()

## Read WINDOW2 record

    _readWindow2()

## XF - Extended Format

    _readXf()

This record contains formatting information for cells, rows, columns or styles. According to http://support.microsoft.com/kb/147732 there are always at least 15 cell style XF and 1 cell XF. Inspection of Excel files generated by MS Office Excel shows that XF records 0-14 are cell style XF and XF record 15 is a cell XF We only read the first cell style XF and skip the remaining cell style XF records We read all cell XF records.

-- "OpenOffice.org's Documentation of the Microsoft Excel File Format"

## _readXfExt()

    _readXfExt()

## Convert UTF-16 string in compressed notation to uncompressed form.

    _uncompressByteString(string $string) : string

Static

Only used for BIFF8.

### Parameters

#### $string

`string`

### Returns

`string`

## Verify RC4 file password

    _verifyPassword($password, $docid, $salt_data, $hashedsalt_data, $valContext) : bool

var | Password to check
var | Document id
var | Salt data
var | Hashed salt data
var | &$valContext Set to the MD5 context of the value

### Parameters

#### $password

#### $docid

#### $salt_data

#### $hashedsalt_data

#### $valContext

### Returns

`bool`Success

### Properties

##

    $_fileHandle

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_fileHandle

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_includeCharts

##

    $_loadSheetsOnly : array

Inherited

If null, then all worksheets will be loaded.

inherited_from | \PHPExcel_Reader_Abstract::$$_loadSheetsOnly

##

    $_readDataOnly : boolean

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_readDataOnly

##

    $_readFilter : \PHPExcel_Reader_IReadFilter

Inherited

inherited_from | \PHPExcel_Reader_Abstract::$$_readFilter

##

    $_cellNotes : array

##

    $_codepage : string

Only important for BIFF5 (Excel 5.0 - Excel 95) For BIFF8 (Excel 97 - Excel 2003) this will always have the value 'UTF-16LE'

##

    $_data : string

(Includes workbook globals substream as well as sheet substreams)

##

    $_dataSize : int

##

    $_definedname : array

##

    $_documentSummaryInformation : string

##

    $_drawingData : string

##

    $_drawingGroupData : string

##

    $_encryption : int

##

    $_encryptionStartPos : int

##

    $_externalBooks : array

##

    $_externalNames : array

##

    $_formats : array

##

    $_frozen : boolean

See WINDOW2 record.

##

    $_isFitToPages : boolean

See SHEETPR record.

##

    $_mapCellStyleXfIndex : array

##

    $_mapCellXfIndex : array

##

    $_md5Ctxt : string

##

    $_objFonts : array

##

    $_objs : array

One OBJ record contributes with one entry.

##

    $_palette : array

##

    $_phpExcel : \PHPExcel

##

    $_phpSheet : \PHPExcel_Worksheet

##

    $_pos : integer

##

    $_rc4Key : \PHPExcel_Reader_Excel5_RC4

##

    $_rc4Pos : int

##

    $_ref : array

Only applies to BIFF8.

##

    $_sharedFormulaParts : array

One FORMULA record contributes with one value if it refers to a shared formula.

##

    $_sharedFormulas : array

One SHAREDFMLA record contributes with one value.

##

    $_sheets : array

##

    $_sst : array

Only applies to BIFF8.

##

    $_summaryInformation : string

##

    $_textObjects : array

One TXO record corresponds with one entry.

##

    $_userDefinedProperties : string

##

    $_version : int

##

    $_xfIndex : int

### Constants

## MS_BIFF_CRYPTO_NONE

    MS_BIFF_CRYPTO_NONE

## MS_BIFF_CRYPTO_RC4

    MS_BIFF_CRYPTO_RC4

## MS_BIFF_CRYPTO_XOR

    MS_BIFF_CRYPTO_XOR

## REKEY_BLOCK

    REKEY_BLOCK

## XLS_BIFF7

    XLS_BIFF7

## XLS_BIFF8

    XLS_BIFF8

## XLS_Type_ARRAY

    XLS_Type_ARRAY

## XLS_Type_BLANK

    XLS_Type_BLANK

## XLS_Type_BOF

    XLS_Type_BOF

## XLS_Type_BOOLERR

    XLS_Type_BOOLERR

## XLS_Type_BOTTOMMARGIN

    XLS_Type_BOTTOMMARGIN

## XLS_Type_CODEPAGE

    XLS_Type_CODEPAGE

## XLS_Type_COLINFO

    XLS_Type_COLINFO

## XLS_Type_CONTINUE

    XLS_Type_CONTINUE

## XLS_Type_DATAVALIDATION

    XLS_Type_DATAVALIDATION

## XLS_Type_DATAVALIDATIONS

    XLS_Type_DATAVALIDATIONS

## XLS_Type_DATEMODE

    XLS_Type_DATEMODE

## XLS_Type_DBCELL

    XLS_Type_DBCELL

## XLS_Type_DEFAULTROWHEIGHT

    XLS_Type_DEFAULTROWHEIGHT

## XLS_Type_DEFCOLWIDTH

    XLS_Type_DEFCOLWIDTH

## XLS_Type_DEFINEDNAME

    XLS_Type_DEFINEDNAME

## XLS_Type_DIMENSION

    XLS_Type_DIMENSION

## XLS_Type_EOF

    XLS_Type_EOF

## XLS_Type_EXTERNALBOOK

    XLS_Type_EXTERNALBOOK

## XLS_Type_EXTERNNAME

    XLS_Type_EXTERNNAME

## XLS_Type_EXTERNSHEET

    XLS_Type_EXTERNSHEET

## XLS_Type_EXTSST

    XLS_Type_EXTSST

## XLS_Type_FILEPASS

    XLS_Type_FILEPASS

## XLS_Type_FONT

    XLS_Type_FONT

## XLS_Type_FORMAT

    XLS_Type_FORMAT

## XLS_Type_FORMULA

    XLS_Type_FORMULA

## XLS_Type_HCENTER

    XLS_Type_HCENTER

## XLS_Type_HEADER

    XLS_Type_HEADER

## XLS_Type_HORIZONTALPAGEBREAKS

    XLS_Type_HORIZONTALPAGEBREAKS

## XLS_Type_HYPERLINK

    XLS_Type_HYPERLINK

## XLS_Type_IMDATA

    XLS_Type_IMDATA

## XLS_Type_INDEX

    XLS_Type_INDEX

## XLS_Type_LABEL

    XLS_Type_LABEL

## XLS_Type_LABELSST

    XLS_Type_LABELSST

## XLS_Type_LEFTMARGIN

    XLS_Type_LEFTMARGIN

## XLS_Type_MERGEDCELLS

    XLS_Type_MERGEDCELLS

## XLS_Type_MSODRAWING

    XLS_Type_MSODRAWING

## XLS_Type_MSODRAWINGGROUP

    XLS_Type_MSODRAWINGGROUP

## XLS_Type_MULBLANK

    XLS_Type_MULBLANK

## XLS_Type_MULRK

    XLS_Type_MULRK

## XLS_Type_NOTE

    XLS_Type_NOTE

## XLS_Type_NUMBER

    XLS_Type_NUMBER

## XLS_Type_OBJ

    XLS_Type_OBJ

## XLS_Type_OBJECTPROTECT

    XLS_Type_OBJECTPROTECT

## XLS_Type_PAGELAYOUTVIEW

    XLS_Type_PAGELAYOUTVIEW

## XLS_Type_PAGESETUP

    XLS_Type_PAGESETUP

## XLS_Type_PALETTE

    XLS_Type_PALETTE

## XLS_Type_PANE

    XLS_Type_PANE

## XLS_Type_PASSWORD

    XLS_Type_PASSWORD

## XLS_Type_PRINTGRIDLINES

    XLS_Type_PRINTGRIDLINES

## XLS_Type_PROTECT

    XLS_Type_PROTECT

## XLS_Type_RANGEPROTECTION

    XLS_Type_RANGEPROTECTION

## XLS_Type_RIGHTMARGIN

    XLS_Type_RIGHTMARGIN

## XLS_Type_RK

    XLS_Type_RK

## XLS_Type_ROW

    XLS_Type_ROW

## XLS_Type_SCENPROTECT

    XLS_Type_SCENPROTECT

## XLS_Type_SCL

    XLS_Type_SCL

## XLS_Type_SELECTION

    XLS_Type_SELECTION

## XLS_Type_SHAREDFMLA

    XLS_Type_SHAREDFMLA

## XLS_Type_SHEET

    XLS_Type_SHEET

## XLS_Type_SHEETLAYOUT

    XLS_Type_SHEETLAYOUT

## XLS_Type_SHEETPR

    XLS_Type_SHEETPR

## XLS_Type_SHEETPROTECTION

    XLS_Type_SHEETPROTECTION

## XLS_Type_SST

    XLS_Type_SST

## XLS_Type_STRING

    XLS_Type_STRING

## XLS_Type_STYLE

    XLS_Type_STYLE

## XLS_Type_TOPMARGIN

    XLS_Type_TOPMARGIN

## XLS_Type_TXO

    XLS_Type_TXO

## XLS_Type_UNKNOWN

    XLS_Type_UNKNOWN

## XLS_Type_VCENTER

    XLS_Type_VCENTER

## XLS_Type_VERTICALPAGEBREAKS

    XLS_Type_VERTICALPAGEBREAKS

## XLS_Type_WINDOW2

    XLS_Type_WINDOW2

## XLS_Type_XF

    XLS_Type_XF

## XLS_Type_XFEXT

    XLS_Type_XFEXT

## XLS_WorkbookGlobals

    XLS_WorkbookGlobals

## XLS_Worksheet

    XLS_Worksheet